# Pyqtfork Demo Applications

This directory contains demo applications that showcase the features and capabilities of Pyqtfork.

## Basic Demo Application

The `pyqtfork_demo.py` file contains a basic demo application that demonstrates:

- Form input and validation
- Various UI controls (sliders, radio buttons, etc.)
- Text display and formatting
- Dialog windows and notifications
- Tab-based interface organization

To run the basic demo:

```bash
python3 pyqtfork_demo.py
```

## Enhanced Widgets Demo

The `enhanced_widgets_demo.py` file demonstrates the enhanced widgets provided by Pyqtfork:

- StyledButton - Buttons with built-in styling options
- Card - A card widget with title, content, and actions
- SearchBox - A search box with built-in search functionality
- FormLayout - An enhanced form layout with better spacing and alignment

To run the enhanced widgets demo:

```bash
python3 enhanced_widgets_demo.py
```

## Requirements

- Python 3.6 or later
- PyQt5 5.10.1 or later
- Pyqtfork 1.0.0 or later

## License

These demos are licensed under the GNU General Public License v3.0.